net.dontdrinkandroot.cache

## Interface BufferedRecyclingCache<K,V>

All Superinterfaces:
  Cache<K,V>, RecyclingCache<K,V>

All Known Implementing Classes:
  BufferedSerializableIndexedDiskCache

    public interface BufferedRecyclingCache<K,V>
    extends RecyclingCache<K,V>

A Buffered Cache that has a recycling ExpungeStrategy for both persistent storage and buffer.

Author:
  Philip W. Sorst <philip@sorst.net>

### Field Summary

### Fields inherited from interface net.dontdrinkandroot.cache.Cache

`UNLIMITED_IDLE_TIME`

### Method Summary

Methods
`int` `getBufferSize()`
`void` `setBufferSize(int bufferSize)`

### Methods inherited from interface net.dontdrinkandroot.cache.RecyclingCache

`getMaxSize, getRecycleSize, setMaxSize, setRecycleSize`

### Methods inherited from interface net.dontdrinkandroot.cache.Cache

`cleanUp, delete, expunge, get, getDefaultMaxIdleTime, getDefaultTtl, getMetaData, getName, getStatistics, getWithErrors, put, putWithErrors, setDefaultTtl`

### Method Detail

#### getBufferSize

    int getBufferSize()

#### setBufferSize

    void setBufferSize(int bufferSize)